Retrieve all Racks
Get all Racks for the specified Site.
Org must have an Infrastructure Provider entity. User must have FORGE_PROVIDER_ADMIN authorization role.
Authentication
AuthorizationBearer
```
export JWT_BEARER_TOKEN="<jwt-bearer-token>"
# Example org name: "acme-inc
export ORG_NAME=<org-name>
# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://carbide-rest-api.carbide.svc.cluster.local/v2/org/$ORG_NAME/carbide/user/current
```
Path parameters
org
Query parameters
siteId
ID of the Site to retrieve Racks from
includeComponents
Include rack components in response
name
Filter by rack name
manufacturer
Filter by manufacturer
pageNumber
Page number for pagination query
pageSize
Page size for pagination query
orderBy
Ordering for pagination query
Response headers
X-Pagination
Pagination result in JSON format
Response
OK
id
Unique identifier of the Rack
name
Name of the Rack
manufacturer
Manufacturer of the Rack
model
Model of the Rack
serialNumber
Serial number of the Rack
description
Description of the Rack
location
Physical location of a Rack
components
Components within the Rack. Only returned when includeComponents is true.
Errors
403
Forbidden Error